#region Copyright Syncfusion Inc. 2001 - 2007
//
//  Copyright Syncfusion Inc. 2001 - 2007. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Data;
using System.Configuration;
using Syncfusion.Windows.Forms.Diagram;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class InteractDiagram : System.Web.UI.Page 
{
    public static int i = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.IsPostBack == false)
        {
            string path = Server.MapPath(String.Empty);
            path = path + @"\App_Data\SimpleOrgChart.edd";
        //    this.DiagramWebControl1.LoadBinaryDocument(path);

            
            
            for (int i = 0; i < 10; i++)
            {
                // Create a EmployeeSymbol for each employee in the organization and add the membersymbol to 
                // the diagram. 

                int x = 50 + i * 50;
                int y = 60;
                Rectangle m_rect1 = new Rectangle(x, y, 120, 58);
                this.DiagramWebControl1.Model.AppendChild(m_rect1);
               
            }

            foreach (INode node in this.DiagramWebControl1.Model.Nodes)
            {                
                Node m_node=node as Node;
                m_node.Name = string.Format("Rect{0}", ++i);
                Response.Write(m_node.Name);
            }
            // Enable the diagram for node selection and drag-drop
            this.DiagramWebControl1.EnableNodeSelection = true;
            this.DiagramWebControl1.EnableDragDrop = true;
        }
        this.DiagramWebControl1.RenderImageMap = true;
    }
}
